<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.mapper.ImInboxMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id
        , create_time, update_time, receiver_date, fk_appid, receiver, fk_msg_id, read, fk_conversation_id
    </sql>

    <select id="getImInboxById" resultType="com.wecloud.im.param.ImInboxQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_Inbox where id = #{id}
    </select>

    <select id="getImInboxPageList" parameterType="com.wecloud.im.param.ImInboxPageParam"
            resultType="com.wecloud.im.param.ImInboxQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_Inbox
    </select>

</mapper>
